[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: NPAPI plug-in dependencies



On 7/21/09 1:35 PM, Tom "spot" Callaway wrote:
On 07/21/2009 12:06 PM, Braden McDaniel wrote:
On Mon, 2009-07-20 at 20:11 -0700, Jesse Keating wrote:

[snip]

Orphan: pcmanx-gtk2
     gnash-plugin requires /usr/lib/mozilla/plugins
     gnome-chemistry-utils-mozplugin requires /usr/lib/mozilla/plugins
     java-1.6.0-openjdk-plugin requires /usr/lib/mozilla/plugins
     mozilla-opensc-signer requires /usr/lib/mozilla/plugins
     swfdec-mozilla requires /usr/lib/mozilla/plugins
Umm.... What???

Sigh.  pcmanx-gtk2.spec includes:

         # We need to own this dir, because we don't want to Requires: firefox
         %{_libdir}/mozilla/plugins/

I think not.

The package already "Requires: xulrunner"; which requires
mozilla-filesystem, which is what owns %{_libdir}/mozilla/plugins.

Yeah, that predates mozilla-filesystem. pcmanx-gtk2 is safe to die if no
one wants it (although, having a telnet client plugin for firefox is
somewhat cool).

This does actually bring up a more general issue.

webkitgtk doesn't depend on mozilla-filesystem; should it?

NPAPI plug-ins ought to have a dependency that can be satisfied by any NPAPI container. Does Fedora need to define such a thing?

--
Braden McDaniel                      e-mail: <braden endoframe com>
<http://endoframe.com>               Jabber: <braden jabber org>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]